net.sourceforge.pmd.util.viewer.util

## Class NLS

- java.lang.Object
- - net.sourceforge.pmd.util.viewer.util.NLS

-     public class NLS
      extends Object

  helps with internationalization
  Version:
    $Id$
  Author:
    Boris Gruschko ( boris at gruschko.org )

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NLS()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `nls(String key)` translates the given key to the message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NLS

          public NLS()

  - ### Method Detail

    - #### nls

          public static String nls(String key)

      translates the given key to the message
      Parameters:
        `key` - key to be translated
      Returns:
        translated string

Copyright © 2002-2013 InfoEther. All Rights Reserved.